/*------------------------------------*\
    #OBJECTS.CHECK-GROUP
\*------------------------------------*/
/**
 * Grouped checkbox inputs.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}check-group,
%#{$inuit-namespace}check-group {
    margin-bottom: 0;

    .o-check-group__option-group {
        display: inline-block;
    }
}

.#{$inuit-namespace}check-group__item,
%#{$inuit-namespace}check-group__item {
    //display: inline-block;
    margin-right: $drk-base-unit;
}

.#{$inuit-namespace}check-group__option,
%#{$inuit-namespace}check-group__option {
    margin-right: drk-quarter($drk-base-unit);
}

.#{$inuit-namespace}check-group__label,
%#{$inuit-namespace}check-group__label {
    margin-right: 30px;

    .has-error & {
        color: $drk-color-light-red;
    }
}
